* {
    /*font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;*/
    font-family: FF Mark Pro,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    -webkit-appearance: none;
}
html {
    scroll-behavior: smooth;
}

#enfant_num:invalid {
    background-color: rgba(255, 0, 0, 0.35) !important;
}

#membre_num:invalid {
    background-color: rgba(255, 0, 0, 0.35) !important;
}

form {
    width: min(100% - 48px, 1400px);
    margin-inline: auto;
}

a {
    color: #0D6EFD; !important;
    text-decoration: underline; !important;
}

a:hover, a:focus {
    color: #0a58ca; /* Slightly darker on hover */
    text-decoration: none;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

::-webkit-input-placeholder {
    color: rgba(26, 47, 89, 0.4) !important;
}

:-ms-input-placeholder {
    color: rgba(26, 47, 89, 0.4) !important;
}

::placeholder {
    color: rgba(26, 47, 89, 0.4) !important;
}

body{
    padding-bottom: 50px;;
}

.snhbm-font-white {
    font-size: 1.4rem;
    font-weight: 700;
    color: white;
}


.snhbm-font-replace-white {
    font-size: 1.4rem;
    font-weight: 800;
    color: white;
}


.snhbm-font-blue {
    font-size: 14px;
    text-transform: uppercase;
    color: #1A2F59;
}

.snhbm-font-green {
    color: #BFD638;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 700;
}

.snhbm-font-replace-green {
    color: white;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 700;
}


.snhbm-font-red {
    font-size: 18px;
    font-weight: 700;
    color: #C60021;
}

.snhbm-font-replace-red {
    font-size: 22px;
    font-weight: 800;
    color: black;
}


.snhbm-font-small {
    font-size: 1rem;
}

.snhbm-bold {
    font-weight: 700;
}

.snhbm-border {
    border-top: 2px solid rgb(26, 47, 89);
}

#text1{
    font-weight: 300;
}

.content-container {
    /*font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;*/
    font-family: FF Mark Pro,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    font-size: 1.2rem;
    /*margin: 20px;*/
    font-weight: 400;
    overflow-x: hidden;
}

.snhbm-header {
    background-color: #1A2F59;
    min-height: 7vh;
    padding: 50px;
    margin: 0 -50px;

}

.content-container .snhbm-header .snhbm-logo img {
    width: 250px;
    margin: auto 0;
}

.content-container .snhbm-header .snhbm-header-content {
    font-weight: 400;
    font-size: 1.7rem;
}

.content-container .snhbm-dossier
{
    background-color: #D9DCE3;
    padding: 50px;
}

.content-container .snhbm-general
{
    border: 2px solid #D9DCE3;
    border-radius: 10px 10px;
    margin: 50px;
    background-color: #F2F3F6;
    padding: 80px;
}


.content-container .snhbm-dossier-box {
    position: relative;
    /*border: 4px solid rgb(26, 47, 89);*/
    /*height: 65px;*/
    width: 100%;
}

.content-container .snhbm-dossier-box .snhbm-dossier-text {
    font-weight: 700;
    font-size: 1.4rem;
    padding: 30px 0;
}

.uk-input {
    margin-left: 20px;
    min-width: 200px;
    width: 40%;
    font-weight: 100;
    font-size: 1rem;
    border: none;
    border-bottom: 5px solid rgb(191, 214, 56);
    border-top: 1px solid rgba(191, 214, 56,0.5);
    border-right: 1px solid rgba(191, 214, 56,0.5);
    border-left: 1px solid rgba(191, 214, 56,0.5);
    color: rgb(26, 47, 89);
    height: 35px;
    background: white;
}

.uk-input-replace {
    margin-left: 20px;
    min-width: 200px;
    width: 40%;
    font-weight: 100;
    font-size: 1rem;
    border: none;
    border-bottom: 5px solid black;
    border-top: 1px solid rgba(0, 0, 0,0.5);
    border-right: 1px solid rgba(0, 0, 0,0.5);
    border-left: 1px solid rgba(0, 0, 0,0.5);
    color: rgb(26, 47, 89);
    height: 23px;
    background: white;

}

.content-container .snhbm-donnees {
    margin-top: 3px;
    width: 100%;
}

.content-container .snhbm-donnees table tr td,
.content-container .snhbm-donnees label {
    color: rgb(26, 47, 89);
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 700;
}

.content-container .snhbm-donnees .th {
    color: rgb(26, 47, 89);
    font-weight: 700;
    text-decoration: underline;
    /*border-bottom: 4px solid rgb(26,47,89);*/
}



.snhbm-donnees-input {
    border: none;
    border-bottom: 1px solid rgb(26, 47, 89);
    border-left: 1px solid rgba(26,47,89,0.2);
    border-right: 1px solid rgba(26,47,89,0.2);
    border-top: 1px solid rgba(26,47,89,0.2);
    /*background-color: rgba(58, 123,153, 0.1);*/
    background-color: #F2F3F6;
    width: 100%;
    font-size: 1.2rem;
    color: rgba(26, 47, 89);
    font-weight: 600;
}


.snhbm-limit-width
{
    min-width: 0px !important;
    width: auto !important;
    max-width: 40px !important;

}

.snhbm-limit-height
{
    min-height: 0px !important;
    height: auto !important;
    max-height: 30px !important;

}

.enfant-futur
{
    color: rgb(26, 47, 89);
    font-size: 12px !important;
    text-transform: uppercase;
    font-weight: 700;
}

.content-container .snhbm-enfants table {
    min-width: 100% !important;
    width: 100%;
}

.content-container .snhbm-enfants .th {
    color: rgb(26, 47, 89);
    font-weight: 700;
    text-decoration: underline;
    /*border-bottom: 4px solid rgb(26,47,89);*/
    min-width: 0px;
}



.content-container tr {
    height: 35px;
}


.uk-margin-header {
    margin-top: 20px;
}

.snhbm-remove-margin {
    margin-top: 0px !important;
}


input:disabled {
    border: none;
    background-color: white;

}

.snhbm-dropdown {
    border: none;
    border-bottom: 1px solid rgb(26, 47, 89);
    border-left: 1px solid rgba(26,47,89,0.2);
    border-right: 1px solid rgba(26,47,89,0.2);
    border-top: 1px solid rgba(26,47,89,0.2);
    font-size: 1.2rem;
    /*background: rgba(58, 123,153, 0.1);*/
    background: #F2F3F6;
    color: rgb(26, 47, 89);
    width: 100%;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='800' height='600' xmlns='http://www.w3.org/2000/svg'%3e%3cg%3e%3cpath stroke='%23000' fill='%23a0a0a0' opacity='undefined' d='m90.00012,581.74993l319.85711,-559.74997l319.85711,559.74997l-639.71428,0l0.00006,0z' id='svg_1' transform='rotate(-180 409.8572082519531,301.8749694824219) '/%3e%3c/g%3e%3c/svg%3e");
    background-repeat: no-repeat, repeat;
    background-position: right .7em top 50%, 0 0;
    background-size: .65em auto, 100%;
    padding: 2px !important;
    font-weight: 600;
}

.snhbm-info {
    color: #1A2F59;
    font-size: 0.95rem;
    /*font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;*/
    font-family: FF Mark Pro,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    cursor: help;
    vertical-align: text-bottom;
}


.snhbm-info-icon
{
    color: rgb(26,47,89);
    font-size: 0.85rem;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    cursor: help;
    vertical-align: text-bottom;
}

.snhbm-replace-info {
    color: black;
    font-size: 1.1rem;
    /*font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;*/
    font-family: FF Mark Pro,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    cursor: help;
    vertical-align: text-bottom;
}

.snhbm-info-green {
    color: #1A2F59;
    font-size: 0.85rem;
    /*font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;*/
    font-family: FF Mark Pro,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    cursor: help;
    vertical-align: text-bottom;
}


.snhbm-button {
    border: none;
    background-color: rgb(26, 47, 89);
    color: white;
    font-size: 1.2rem;
    font-weight: 500;
    width: 230px;
    height: 60px;
    padding: 10px;
}

/*
.snhbm-intro
{
    opacity: 0.35;
}

.snhbm-intro-active
{
    opacity: 1  !important;
}


.uk-card-default
{
    color: #BFD638;
    font-size: 1rem;
    box-shadow: 0 5px 15px rgba(26,47,89,0.2) !important;
    background: transparent;
    border: 1px solid rgba(191, 214, 56,0.5);
}

.uk-card-default.uk-card-hover:hover
{
    color: #BFD638;
    box-shadow: 0 5px 15px rgba(26,47,89,0.2) !important;
    background: transparent;
    border: 1px solid rgba(191, 214, 56,1);
}

.uk-card-default .uk-card-title
{
    color: #BFD638;
    font-weight: 700;
}


.uk-icon-button, .uk-icon-button:active, .uk-icon-button:hover
{
    background-color: #BFD638;
    color: white;
}
*/
.snhbm-button:focus {
    border: 7px solid white !important;
}


.uk-tooltip {
    margin-top: 0px;
    max-width: 360px;
}

.uk-checkbox {
    border: 1.5px solid rgb(26, 47, 89);
}

.uk-radio:checked,
.uk-checkbox:checked,
.uk-checkbox:indeterminate {
    background-color: rgb(26, 47, 89);
}

.uk-checkbox:checked:focus,
.uk-checkbox:indeterminate:focus,
.uk-radio:checked:focus {
    background-color: rgb(26, 47, 89);
}

.uk-checkbox:focus,
.uk-radio:focus {
    border: 2px solid rgb(26, 47, 89);
    background-color: rgb(26, 47, 89);
}


.uk-icon-button{
    background: none !important;
}

.snhbm-cb-label {
    /*font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;*/
    font-family: FF Mark Pro,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    font-size: 12px;
    font-weight: 700;
    margin-left: 8px;
}

.snhbm-cb-label a {
    font-size: 10px;
    text-decoration: underline;
    color: rgba(26, 47, 89);
}


.snhbm-margin-top {
    margin-top: 25px;
}

table {
    width: 100%;
}

.uk-modal,
.uk-close {
    color: rgb(26, 47, 89);
}

.uk-margin-undo-right {
    margin-right: -40px !important;
}

.snhbm-required {
    width: 0px;
    opacity: 0;
    pointer-events: none;
}

.snhbm-z1 {
    z-index: 1;
}

.snhbm-z2 {
    z-index: 2;
}

input {
    padding: 2px !important;
}

button {
    cursor: pointer;
}

.input-dossier {
    max-width: 100px;
    width: auto !important;
    margin-left: 0px !important;
    font-size: 1.3rem !important;
    text-align: center;
}

.snhbm-print-info {
    display: none;
}

.uk-notification-message {
    background-color: rgb(26, 47, 89);
    /*background-color: #D9DCE3;*/
    color: white !important;
    /*color: rgb(26, 47, 89);*/
    text-align: center;
    font-weight: 700;
    border: 3px solid white;
}

.uk-notification-close {
    color: white !important;
}


.uk-card-snhbm {
    background: #1A2F59;
    color: #fff;
    box-shadow: 0 5px 15px rgba(0, 0, 0, .08);
}

.uk-checkbox:disabled,
.uk-radio:disabled {
    background-color: #F2F3F6;
}

.snhbm-notife
{
    min-width: 100px !important;
    width: auto !important;
    margin-left: 20px;
}



.accessibilite-header
{
    position: fixed;
    width: 100%;
    right: 0;
    top:0;
    height:40px;
    background: white;
    z-index:1000;
}

.accessibilite-header-content
{
}

.accessibilite-header-content .uk-dropdown-nav>li>a
{
    display:  unset !important;
    color:    rgb(26, 47, 89) !important;
}

.accessibilite-header-content .uk-dropdown-nav svg
{
    vertical-align: bottom !important;
}


.accessibilite-button {
    border: none;
    background-color: rgb(26, 47, 89);
    color: white;
    font-size: 0.8rem;
    height: 34px;;
    margin-top: 3px;
}

.font-white
{
    color:white;
}


.uk-button:focus {
    background-color: white;
    border: 2px solid rgb(26, 47, 89);
    color: rgb(26, 47, 89);
}

.uk-dropdown a:focus
{
    /*outline: 1px solid black !important;*/

    text-decoration: underline;
    text-decoration-thickness: 3px;
}

.snhbm-table-desc {
    color: rgb(26, 47, 89);
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 700;
}

.snhbm-card {
    border: 1px solid #e5e5e5;
    box-shadow: 0 5px 15px rgba(0,0,0,0.08);
    min-width:270px;
}

input.ng-invalid.ng-touched,
select.ng-invalid.ng-touched,
textarea.ng-invalid.ng-touched,
.snhbm-donnees-input.ng-invalid.ng-touched,
.snhbm-dropdown.ng-invalid.ng-touched {
    background-color: rgba(255, 0, 0, 0.15) !important;
    border: 1px solid #ff3333 !important;
    transition: background-color 0.3s ease, border-color 0.3s ease;
}

.snhbm-alert {
    color: #d50000;
    font-weight: bold;
    background: #ffebee;
    padding: 15px;
    border-radius: 4px;
    background-color: #ffebee;
    border-radius: 2px;
    border-left: 5px solid #b71c1c;
    margin-bottom: 20px;
    margin-top: 20px;
}

.tblChildrenHeader {
    line-height: 1.5;
    -webkit-text-size-adjust: 100%;
    --uk-breakpoint-s: 640px;
    --uk-breakpoint-m: 960px;
    --uk-breakpoint-l: 1200px;
    --uk-breakpoint-xl: 1600px;
    list-style: none;
    font-family: FF Mark Pro,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    -webkit-appearance: none;
    font-size: 12px;
    text-transform: uppercase;
    color: rgb(26, 47, 89);
    font-weight: 700;
    text-decoration: underline;
    min-width: 0;
}

@media (min-width: 640px) {
    #regions .uk-width-1-1\@s {
        margin-top: 0;
        padding-left: 0;
    }
}

@media (min-width: 960px) {
    #regions .uk-width-1-1\@s {
        margin-top: 0;
        padding-left: 40px;
    }
}


@media (pointer: coarse) {

    input {
        padding: 0px !important;
        margin: 0px;
    }

    .snhbm-dropdown {
        padding: 0px !important;
    }

    .snhbm-notife
    {
        margin-left: 0 !important;
    }
}


@media print {
    .snhbm-print-info {
        display: inline;
        text-align: center;
        margin-top: 20px;
        font-weight: bold;
    }

    div {
        display: none;
    }
}

@media only screen and (max-width: 1500px) {
    .snhbm-margin-left {
        margin-left: 45px !important;
    }

    .snhbm-margin-right {
        margin-right: 45px !important;
    }
}

.screenreader-only-tooltip {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}